Summary:	Generic packet injection tool for wireless networks
Name:		airpwn
Epoch:		1
Version:	1.3
Release:	%mkrel 4
License:	GPL
Group:		Networking/Other
URL:		http://sf.net/projects/airpwn
Source0:	%{name}-%{version}.tgz
BuildRequires:	libiw-devel
BuildRequires:	libpcap-devel
BuildRequires:	lorcon-devel
BuildRequires:	libnet1.1.2-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Airpwn is a generic packet injection tool for wireless networks.

%prep
%setup -q

%build
export LIBS="-lcrypto"
%configure
%make

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

install -m 755 atheros_prep.sh %{buildroot}%{_bindir}
install -m 644 conf/* %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/*
%{_mandir}/man1/*
%{_sbindir}/*
%{_datadir}/airpwn


%changelog
* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.3-4mdv2009.1
+ Revision: 298592
- fix build
- rebuilt against libpcap-1.0.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Mon Feb 18 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.3-1mdv2008.1
+ Revision: 172167
- Revert "- Use wireless.h from wireless-tools
  (airpwn-1.3-use-wireless-tools-header.patch)."
  Instead use another solution to fix build with wireless.h
  exported by kernel (see related commits on kernel-headers and
  wireless-tools).
- Added BuildRequires for libiw-devel
- Added BuildRequires for openssl-devel
- Use epoch because previous version greater than new version by rpm
  comparison (old 1.10 > new 1.3).
- Updated to version 1.3
- Use wireless.h from wireless-tools
  (airpwn-1.3-use-wireless-tools-header.patch).

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - kill changelog bits forgot by repsys

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jul 18 2006 stefan
+ 2006-07-18 20:38:11 (41574)
rebuild, svn test

* Tue Jul 18 2006 stefan
+ 2006-07-18 20:31:01 (41573)
Import airpwn

* Sun Jun 25 2006 Stefan van der Eijk <stefan@eijk.nu> 1.10-2
- fix summary

* Tue Nov 16 2004 Stefan van der Eijk <stefan@mandrake.org> 0.50c-1mdk
- initial package

